%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define upstream_version 2.1-12

Summary:	Intel / AMD CPU Microcode
Name:		microcode_ctl
Version:	2.1.12
Release:	1
Group:		System/Kernel and hardware
License:	Redistributable, no modification permitted
Url:		https://pagure.io/microcode_ctl
Source0:	https://releases.pagure.org/microcode_ctl/%{name}-%{upstream_version}.tar.xz
Requires:	linux-firmware
Requires(post,postun):	dracut >= 041-13
Obsoletes:	microcode < 1.0
Provides:	microcode = %{EVRD}
ExclusiveArch:	%{ix86} x86_64

%description
Intel and AMD CPUs are currently based on RISC chips with the special
microcode that actually implements the x86 instruction set. This package
provides an update for this microcode.

The microcode update is volatile and needs to be uploaded at each system
boot. That is, it does not reflash your CPU permanently.

%posttrans
# Make sure the new microcode gets into the initrd, so that it will be
# applied as early as possible.
%{_sbindir}/dracut -f /boot/initrd-$(uname -r).img $(uname -r)

# Note that if the user wants to uninstall the microcode completely, they
# still need to re-generate initrd explicitly after that.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
make CFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} INSDIR=/usr/sbin install clean

%files
/lib/firmware/*
%doc /usr/share/doc/microcode_ctl/*

%changelog

* Mon Jun 26 2017 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.1.12-1
- (1d622a6) Do not try to build debuginfo packages
- (1d622a6) No binaries - no debug info needed.


